
import 'package:flutter/foundation.dart';

import 'impl/datareport_repository_impl.dart';

abstract class DatareportRepository {
  ///
  /// 获取单例
  ///
  static DatareportRepository create() {
    return DatareportRepositoryImpl.get();
  }

  ///
  /// 数据上报接口
  /// [list]   待上报的数据
  ///
  Future<dynamic> dataReport({@required List<dynamic> list});

}